<?php
 namespace VnChocola\Module\Master;
 use TCMS\Module;
 use Route;
 use LayoutData;
 use LayoutMenuItem;
 use Model;
 class MasterView extends Module {
 protected function initialize() {
 Route::get('/', 'IndexController', 'index')->name('index');
 }
 protected function registerRoutes() {
 Model::add('BranchsModel',\VnChocola\Model\BranchsModel::class,true);
 Model::add('StaffsModel',\VnChocola\Model\StaffsModel::class,true);
 Model::add('CustomersModel',\VnChocola\Model\CustomersModel::class,true);
 Model::add('ReservesModel',\VnChocola\Model\ReservesModel::class,true);
 }
 public function registerComponent() {
 }
 public function boot() {
 LayoutData::addMenuItem('dashboard', route('index'), lang('master.dashboard'), 'primary', function(LayoutMenuItem $menuItem) {
 $menuItem->icon = 'fas fa-chart-line';
 }
);
 }
 public function middleware(string $routeName, $auth) {
 }
 }
